Het forum

World of Tanks problems

problems with wine

Auteur Antwoorden
atibb Zondag 12 Juni\ 2016 om 17:18
atibbAnonymous

When I activate the 1-7-22 wine, the game starts but before entering in the accaunt it stops working. With wine 1-9-11 the game gives a message with "WoT crash". Also in my octopy is written that my wine is 1-9-11-1 but when I enter it playonlinux says "Can't find version 1-9-11-1". Please help!

booman Maandag 13 Juni\ 2016 om 22:40
booman

Can you give me some information about your system?
Can you run any other games in PlayOnLinux?


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
atibb Woensdag 15 Juni\ 2016 om 13:32
atibbAnonymous

Well...games like Hearthstone are working fine, but Heroes of the Storm, which is again in battle.net, gives an error when I start to play. My linux is Manjaro or known as arch linux.

Shadowman Woensdag 15 Juni\ 2016 om 15:33
ShadowmanAnonymous

There may be more to it.  I was playing okay yesterday but today it is broken.  Trying to get some relevant debug information.  Initially it was crashing as it attempts to login.  Now I can only get the launcher to run, when I hit play it croaks.


Fedora 29
M5A99FX PRO 2.0/FX-9590/with 16GB 1600 memory
2x EVGA GEFORCE GTX 950 FTW SLI mode
booman Woensdag 15 Juni\ 2016 om 17:50
booman

atibb - So it "was" working yesterday?  How long did you play?

Can you run World of Tanks with Debug instead of "Run"?  This way you can copy the entire log and post the errors here.

When I tested World of Tanks I was using Mint 17.3 and a GeForce card as well.  So I know it runs.  Since Hearthstone runs, this means your system is setup correctly, but isn't that a card game?  Not a lot of 3D rendering required... right?

Sometimes an updated client can break things as well.

Aangepast door booman


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
quiritius Woensdag 15 Juni\ 2016 om 18:05
quiritiusAnonymous

but when I enter it playonlinux says "Can't find version 1-9-11-1". Please help!

I think you try to work with a 64-bit bottle. For WoT just use 32-bit bottle, 64-bit makes little sense now, if any at all.

Look here for instructions on how to instal the game. Use wine 1.9.11 or above. The standard POL scrypt may not work with the latest WoT patch.

Aangepast door quiritius

booman Woensdag 15 Juni\ 2016 om 18:09
booman

Good point.  There is a PlayOnLinux installer (script) available for World of Tanks, but I don't know if it installs a 64-bit virtual drive with a 64-bit version of Wine?

Here is the script:  World of Tanks


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
quiritius Woensdag 15 Juni\ 2016 om 19:00
quiritiusAnonymous

It installs 32-bit drive. Problem is now you need only vcrun2012. Do not install everything else.